Shopify API – Order

List and manipulate placed orders.
top

Receive a list of all Orders

Available URL Query parameters:

  • limit — Amount of results (default: 50) (maximum: 250)
  • page — Page to show (default: 1)
  • since_id — Restrict results to after the specified ID
  • created_at_min — Show orders created after date (format: 2008-01-01 03:00)
  • created_at_max — Show orders created before date (format: 2008-01-01 03:00)
  • updated_at_min — Show orders last updated after date (format: 2008-01-01 03:00)
  • updated_at_max — Show orders last updated before date (format: 2008-01-01 03:00)
  • status
    • open - All open orders (default)
    • closed - Show only closed orders
    • cancelled - Show only cancelled orders
    • any - Any order status
  • financial_status
    • authorized - Show only authorized orders
    • pending - Show only pending orders
    • paid - Show only paid orders
    • abandoned - Show only abandoned orders
    • refunded - Show only refunded orders
    • voided - Show only voided orders
    • any - Show all authorized, pending, and paid orders (default). Will not return abandoned orders.
  • fulfillment_status
    • shipped - Show orders that have been shipped
    • partial - Show partially shipped orders
    • unshipped - Show orders that have not yet been shipped
    • any - Show orders with any fulfillment_status. (default)
  • fields — comma-separated list of fields to include in the response
GET /admin/orders.json

List all orders

Response

           
HTTP/1.1 200 OK[]
{
  "orders": [
    {
      "buyer_accepts_marketing": false,
      "cancel_reason": null,
      "cancelled_at": null,
      "cart_token": "68778783ad298f1c80c3bafcddeea02f",
      "closed_at": null,
      "created_at": "2008-01-10T11:00:00-05:00",
      "currency": "USD",
      "email": "bob.norman@hostmail.com",
      "financial_status": "authorized",
      "fulfillment_status": null,
      "gateway": "authorize_net",
      "id": 450789469,
      "landing_site": "http://www.example.com?source=abc",
      "name": "#1001",
      "note": null,
      "number": 1,
      "referring_site": "http://www.otherexample.com",
      "subtotal_price": "398.00",
      "taxes_included": false,
      "token": "b1946ac92492d2347c6235b4d2611184",
      "total_discounts": "0.00",
      "total_line_items_price": "398.00",
      "total_price": "409.94",
      "total_tax": "11.94",
      "total_weight": 0,
      "updated_at": "2008-01-10T11:00:00-05:00",
      "browser_ip": null,
      "landing_site_ref": "abc",
      "order_number": 1001,
      "discount_codes": [
        {
          "code": "TENOFF",
          "amount": "10.00"
        }
      ],
      "note_attributes": [
        {
          "name": "custom engraving",
          "value": "Happy Birthday"
        },
        {
          "name": "colour",
          "value": "green"
        }
      ],
      "processing_method": "direct",
      "line_items": [
        {
          "fulfillment_service": "manual",
          "fulfillment_status": null,
          "grams": 200,
          "id": 466157049,
          "price": "199.00",
          "product_id": 632910392,
          "quantity": 1,
          "requires_shipping": true,
          "sku": "IPOD2008GREEN",
          "title": "IPod Nano - 8gb",
          "variant_id": 39072856,
          "variant_title": "green",
          "vendor": null,
          "name": "IPod Nano - 8gb - green",
          "variant_inventory_management": "shopify"
        },
        {
          "fulfillment_service": "manual",
          "fulfillment_status": null,
          "grams": 200,
          "id": 703073504,
          "price": "199.00",
          "product_id": 632910392,
          "quantity": 1,
          "requires_shipping": true,
          "sku": "IPOD2008BLACK",
          "title": "IPod Nano - 8gb",
          "variant_id": 457924702,
          "variant_title": "black",
          "vendor": null,
          "name": "IPod Nano - 8gb - black",
          "variant_inventory_management": "shopify"
        }
      ],
      "shipping_lines": [
        {
          "code": "Free Shipping",
          "price": "0.00",
          "source": "shopify",
          "title": "Free Shipping"
        }
      ],
      "tax_lines": [
        {
          "price": "11.94",
          "rate": 0.06,
          "title": "State Tax"
        }
      ],
      "payment_details": {
        "avs_result_code": null,
        "credit_card_bin": null,
        "cvv_result_code": null,
        "credit_card_number": "XXXX-XXXX-XXXX-4242",
        "credit_card_company": "Visa"
      },
      "billing_address": {
        "address1": "Chestnut Street 92",
        "address2": "",
        "city": "Louisville",
        "company": null,
        "country": "United States",
        "first_name": "Bob",
        "last_name": "Norman",
        "latitude": "45.41634",
        "longitude": "-75.6868",
        "phone": "555-625-1199",
        "province": "Kentucky",
        "zip": "40202",
        "name": "Bob Norman",
        "country_code": "US",
        "province_code": "KY"
      },
      "shipping_address": {
        "address1": "Chestnut Street 92",
        "address2": "",
        "city": "Louisville",
        "company": null,
        "country": "United States",
        "first_name": "Bob",
        "last_name": "Norman",
        "latitude": "45.41634",
        "longitude": "-75.6868",
        "phone": "555-625-1199",
        "province": "Kentucky",
        "zip": "40202",
        "name": "Bob Norman",
        "country_code": "US",
        "province_code": "KY"
      },
      "fulfillments": [
        {
          "created_at": "2012-05-09T14:41:57-04:00",
          "id": 255858046,
          "order_id": 450789469,
          "service": "manual",
          "status": "failure",
          "tracking_company": null,
          "tracking_number": "1Z2345",
          "updated_at": "2012-05-09T14:41:57-04:00",
          "receipt": {
            "testcase": true,
            "authorization": "123456"
          },
          "line_items": [
            {
              "fulfillment_service": "manual",
              "fulfillment_status": null,
              "grams": 200,
              "id": 466157049,
              "price": "199.00",
              "product_id": 632910392,
              "quantity": 1,
              "requires_shipping": true,
              "sku": "IPOD2008GREEN",
              "title": "IPod Nano - 8gb",
              "variant_id": 39072856,
              "variant_title": "green",
              "vendor": null,
              "name": "IPod Nano - 8gb - green",
              "variant_inventory_management": "shopify"
            }
          ]
        }
      ],
      "client_details": {
        "accept_language": null,
        "browser_ip": "0.0.0.0",
        "session_hash": null,
        "user_agent": null
      },
      "customer": {
        "accepts_marketing": false,
        "created_at": "2012-05-09T14:41:57-04:00",
        "email": "bob.norman@hostmail.com",
        "first_name": "Bob",
        "id": 207119551,
        "last_name": "Norman",
        "last_order_id": null,
        "note": null,
        "orders_count": 0,
        "state": null,
        "total_spent": "0.00",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "tags": "",
        "last_order_name": null
      }
    }
  ]
}
GET /admin/orders.json?since_id=123

List all orders after the specified ID

Response

           
HTTP/1.1 200 OK[]
{
  "orders": [
    {
      "buyer_accepts_marketing": false,
      "cancel_reason": null,
      "cancelled_at": null,
      "cart_token": "68778783ad298f1c80c3bafcddeea02f",
      "closed_at": null,
      "created_at": "2008-01-10T11:00:00-05:00",
      "currency": "USD",
      "email": "bob.norman@hostmail.com",
      "financial_status": "authorized",
      "fulfillment_status": null,
      "gateway": "authorize_net",
      "id": 450789469,
      "landing_site": "http://www.example.com?source=abc",
      "name": "#1001",
      "note": null,
      "number": 1,
      "referring_site": "http://www.otherexample.com",
      "subtotal_price": "398.00",
      "taxes_included": false,
      "token": "b1946ac92492d2347c6235b4d2611184",
      "total_discounts": "0.00",
      "total_line_items_price": "398.00",
      "total_price": "409.94",
      "total_tax": "11.94",
      "total_weight": 0,
      "updated_at": "2008-01-10T11:00:00-05:00",
      "browser_ip": null,
      "landing_site_ref": "abc",
      "order_number": 1001,
      "discount_codes": [
        {
          "code": "TENOFF",
          "amount": "10.00"
        }
      ],
      "note_attributes": [
        {
          "name": "custom engraving",
          "value": "Happy Birthday"
        },
        {
          "name": "colour",
          "value": "green"
        }
      ],
      "processing_method": "direct",
      "line_items": [
        {
          "fulfillment_service": "manual",
          "fulfillment_status": null,
          "grams": 200,
          "id": 466157049,
          "price": "199.00",
          "product_id": 632910392,
          "quantity": 1,
          "requires_shipping": true,
          "sku": "IPOD2008GREEN",
          "title": "IPod Nano - 8gb",
          "variant_id": 39072856,
          "variant_title": "green",
          "vendor": null,
          "name": "IPod Nano - 8gb - green",
          "variant_inventory_management": "shopify"
        },
        {
          "fulfillment_service": "manual",
          "fulfillment_status": null,
          "grams": 200,
          "id": 703073504,
          "price": "199.00",
          "product_id": 632910392,
          "quantity": 1,
          "requires_shipping": true,
          "sku": "IPOD2008BLACK",
          "title": "IPod Nano - 8gb",
          "variant_id": 457924702,
          "variant_title": "black",
          "vendor": null,
          "name": "IPod Nano - 8gb - black",
          "variant_inventory_management": "shopify"
        }
      ],
      "shipping_lines": [
        {
          "code": "Free Shipping",
          "price": "0.00",
          "source": "shopify",
          "title": "Free Shipping"
        }
      ],
      "tax_lines": [
        {
          "price": "11.94",
          "rate": 0.06,
          "title": "State Tax"
        }
      ],
      "payment_details": {
        "avs_result_code": null,
        "credit_card_bin": null,
        "cvv_result_code": null,
        "credit_card_number": "XXXX-XXXX-XXXX-4242",
        "credit_card_company": "Visa"
      },
      "billing_address": {
        "address1": "Chestnut Street 92",
        "address2": "",
        "city": "Louisville",
        "company": null,
        "country": "United States",
        "first_name": "Bob",
        "last_name": "Norman",
        "latitude": "45.41634",
        "longitude": "-75.6868",
        "phone": "555-625-1199",
        "province": "Kentucky",
        "zip": "40202",
        "name": "Bob Norman",
        "country_code": "US",
        "province_code": "KY"
      },
      "shipping_address": {
        "address1": "Chestnut Street 92",
        "address2": "",
        "city": "Louisville",
        "company": null,
        "country": "United States",
        "first_name": "Bob",
        "last_name": "Norman",
        "latitude": "45.41634",
        "longitude": "-75.6868",
        "phone": "555-625-1199",
        "province": "Kentucky",
        "zip": "40202",
        "name": "Bob Norman",
        "country_code": "US",
        "province_code": "KY"
      },
      "fulfillments": [
        {
          "created_at": "2012-05-09T14:41:57-04:00",
          "id": 255858046,
          "order_id": 450789469,
          "service": "manual",
          "status": "failure",
          "tracking_company": null,
          "tracking_number": "1Z2345",
          "updated_at": "2012-05-09T14:41:57-04:00",
          "receipt": {
            "testcase": true,
            "authorization": "123456"
          },
          "line_items": [
            {
              "fulfillment_service": "manual",
              "fulfillment_status": null,
              "grams": 200,
              "id": 466157049,
              "price": "199.00",
              "product_id": 632910392,
              "quantity": 1,
              "requires_shipping": true,
              "sku": "IPOD2008GREEN",
              "title": "IPod Nano - 8gb",
              "variant_id": 39072856,
              "variant_title": "green",
              "vendor": null,
              "name": "IPod Nano - 8gb - green",
              "variant_inventory_management": "shopify"
            }
          ]
        }
      ],
      "client_details": {
        "accept_language": null,
        "browser_ip": "0.0.0.0",
        "session_hash": null,
        "user_agent": null
      },
      "customer": {
        "accepts_marketing": false,
        "created_at": "2012-05-09T14:41:57-04:00",
        "email": "bob.norman@hostmail.com",
        "first_name": "Bob",
        "id": 207119551,
        "last_name": "Norman",
        "last_order_id": null,
        "note": null,
        "orders_count": 0,
        "state": null,
        "total_spent": "0.00",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "tags": "",
        "last_order_name": null
      }
    }
  ]
}
GET /admin/orders.json?fields=created_at,id,name,total-price

List all orders, showing only some attributes

Response

           
HTTP/1.1 200 OK[]
{
  "orders": [
    {
      "created_at": "2008-01-10T11:00:00-05:00",
      "id": 450789469,
      "name": "#1001",
      "total_price": "409.94"
    }
  ]
}
GET /admin/orders.json?updated_at_min=2005-07-31 15:57:11 EDT -04:00

List orders last updated after 2005-07-31 15:57:11 in the EDT timezone

Response

           
HTTP/1.1 200 OK[]
{
  "orders": [
    {
      "buyer_accepts_marketing": false,
      "cancel_reason": null,
      "cancelled_at": null,
      "cart_token": "68778783ad298f1c80c3bafcddeea02f",
      "closed_at": null,
      "created_at": "2008-01-10T11:00:00-05:00",
      "currency": "USD",
      "email": "bob.norman@hostmail.com",
      "financial_status": "authorized",
      "fulfillment_status": null,
      "gateway": "authorize_net",
      "id": 450789469,
      "landing_site": "http://www.example.com?source=abc",
      "name": "#1001",
      "note": null,
      "number": 1,
      "referring_site": "http://www.otherexample.com",
      "subtotal_price": "398.00",
      "taxes_included": false,
      "token": "b1946ac92492d2347c6235b4d2611184",
      "total_discounts": "0.00",
      "total_line_items_price": "398.00",
      "total_price": "409.94",
      "total_tax": "11.94",
      "total_weight": 0,
      "updated_at": "2008-01-10T11:00:00-05:00",
      "browser_ip": null,
      "landing_site_ref": "abc",
      "order_number": 1001,
      "discount_codes": [
        {
          "code": "TENOFF",
          "amount": "10.00"
        }
      ],
      "note_attributes": [
        {
          "name": "custom engraving",
          "value": "Happy Birthday"
        },
        {
          "name": "colour",
          "value": "green"
        }
      ],
      "processing_method": "direct",
      "line_items": [
        {
          "fulfillment_service": "manual",
          "fulfillment_status": null,
          "grams": 200,
          "id": 466157049,
          "price": "199.00",
          "product_id": 632910392,
          "quantity": 1,
          "requires_shipping": true,
          "sku": "IPOD2008GREEN",
          "title": "IPod Nano - 8gb",
          "variant_id": 39072856,
          "variant_title": "green",
          "vendor": null,
          "name": "IPod Nano - 8gb - green",
          "variant_inventory_management": "shopify"
        },
        {
          "fulfillment_service": "manual",
          "fulfillment_status": null,
          "grams": 200,
          "id": 703073504,
          "price": "199.00",
          "product_id": 632910392,
          "quantity": 1,
          "requires_shipping": true,
          "sku": "IPOD2008BLACK",
          "title": "IPod Nano - 8gb",
          "variant_id": 457924702,
          "variant_title": "black",
          "vendor": null,
          "name": "IPod Nano - 8gb - black",
          "variant_inventory_management": "shopify"
        }
      ],
      "shipping_lines": [
        {
          "code": "Free Shipping",
          "price": "0.00",
          "source": "shopify",
          "title": "Free Shipping"
        }
      ],
      "tax_lines": [
        {
          "price": "11.94",
          "rate": 0.06,
          "title": "State Tax"
        }
      ],
      "payment_details": {
        "avs_result_code": null,
        "credit_card_bin": null,
        "cvv_result_code": null,
        "credit_card_number": "XXXX-XXXX-XXXX-4242",
        "credit_card_company": "Visa"
      },
      "billing_address": {
        "address1": "Chestnut Street 92",
        "address2": "",
        "city": "Louisville",
        "company": null,
        "country": "United States",
        "first_name": "Bob",
        "last_name": "Norman",
        "latitude": "45.41634",
        "longitude": "-75.6868",
        "phone": "555-625-1199",
        "province": "Kentucky",
        "zip": "40202",
        "name": "Bob Norman",
        "country_code": "US",
        "province_code": "KY"
      },
      "shipping_address": {
        "address1": "Chestnut Street 92",
        "address2": "",
        "city": "Louisville",
        "company": null,
        "country": "United States",
        "first_name": "Bob",
        "last_name": "Norman",
        "latitude": "45.41634",
        "longitude": "-75.6868",
        "phone": "555-625-1199",
        "province": "Kentucky",
        "zip": "40202",
        "name": "Bob Norman",
        "country_code": "US",
        "province_code": "KY"
      },
      "fulfillments": [
        {
          "created_at": "2012-05-09T14:41:57-04:00",
          "id": 255858046,
          "order_id": 450789469,
          "service": "manual",
          "status": "failure",
          "tracking_company": null,
          "tracking_number": "1Z2345",
          "updated_at": "2012-05-09T14:41:57-04:00",
          "receipt": {
            "testcase": true,
            "authorization": "123456"
          },
          "line_items": [
            {
              "fulfillment_service": "manual",
              "fulfillment_status": null,
              "grams": 200,
              "id": 466157049,
              "price": "199.00",
              "product_id": 632910392,
              "quantity": 1,
              "requires_shipping": true,
              "sku": "IPOD2008GREEN",
              "title": "IPod Nano - 8gb",
              "variant_id": 39072856,
              "variant_title": "green",
              "vendor": null,
              "name": "IPod Nano - 8gb - green",
              "variant_inventory_management": "shopify"
            }
          ]
        }
      ],
      "client_details": {
        "accept_language": null,
        "browser_ip": "0.0.0.0",
        "session_hash": null,
        "user_agent": null
      },
      "customer": {
        "accepts_marketing": false,
        "created_at": "2012-05-09T14:41:57-04:00",
        "email": "bob.norman@hostmail.com",
        "first_name": "Bob",
        "id": 207119551,
        "last_name": "Norman",
        "last_order_id": null,
        "note": null,
        "orders_count": 0,
        "state": null,
        "total_spent": "0.00",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "tags": "",
        "last_order_name": null
      }
    }
  ]
}
GET /admin/orders.json?financial_status=authorized

List orders which are authorized and ready to be captured.

Response

           
HTTP/1.1 200 OK[]
{
  "orders": [
    {
      "buyer_accepts_marketing": false,
      "cancel_reason": null,
      "cancelled_at": null,
      "cart_token": "68778783ad298f1c80c3bafcddeea02f",
      "closed_at": null,
      "created_at": "2008-01-10T11:00:00-05:00",
      "currency": "USD",
      "email": "bob.norman@hostmail.com",
      "financial_status": "authorized",
      "fulfillment_status": null,
      "gateway": "authorize_net",
      "id": 450789469,
      "landing_site": "http://www.example.com?source=abc",
      "name": "#1001",
      "note": null,
      "number": 1,
      "referring_site": "http://www.otherexample.com",
      "subtotal_price": "398.00",
      "taxes_included": false,
      "token": "b1946ac92492d2347c6235b4d2611184",
      "total_discounts": "0.00",
      "total_line_items_price": "398.00",
      "total_price": "409.94",
      "total_tax": "11.94",
      "total_weight": 0,
      "updated_at": "2008-01-10T11:00:00-05:00",
      "browser_ip": null,
      "landing_site_ref": "abc",
      "order_number": 1001,
      "discount_codes": [
        {
          "code": "TENOFF",
          "amount": "10.00"
        }
      ],
      "note_attributes": [
        {
          "name": "custom engraving",
          "value": "Happy Birthday"
        },
        {
          "name": "colour",
          "value": "green"
        }
      ],
      "processing_method": "direct",
      "line_items": [
        {
          "fulfillment_service": "manual",
          "fulfillment_status": null,
          "grams": 200,
          "id": 466157049,
          "price": "199.00",
          "product_id": 632910392,
          "quantity": 1,
          "requires_shipping": true,
          "sku": "IPOD2008GREEN",
          "title": "IPod Nano - 8gb",
          "variant_id": 39072856,
          "variant_title": "green",
          "vendor": null,
          "name": "IPod Nano - 8gb - green",
          "variant_inventory_management": "shopify"
        },
        {
          "fulfillment_service": "manual",
          "fulfillment_status": null,
          "grams": 200,
          "id": 703073504,
          "price": "199.00",
          "product_id": 632910392,
          "quantity": 1,
          "requires_shipping": true,
          "sku": "IPOD2008BLACK",
          "title": "IPod Nano - 8gb",
          "variant_id": 457924702,
          "variant_title": "black",
          "vendor": null,
          "name": "IPod Nano - 8gb - black",
          "variant_inventory_management": "shopify"
        }
      ],
      "shipping_lines": [
        {
          "code": "Free Shipping",
          "price": "0.00",
          "source": "shopify",
          "title": "Free Shipping"
        }
      ],
      "tax_lines": [
        {
          "price": "11.94",
          "rate": 0.06,
          "title": "State Tax"
        }
      ],
      "payment_details": {
        "avs_result_code": null,
        "credit_card_bin": null,
        "cvv_result_code": null,
        "credit_card_number": "XXXX-XXXX-XXXX-4242",
        "credit_card_company": "Visa"
      },
      "billing_address": {
        "address1": "Chestnut Street 92",
        "address2": "",
        "city": "Louisville",
        "company": null,
        "country": "United States",
        "first_name": "Bob",
        "last_name": "Norman",
        "latitude": "45.41634",
        "longitude": "-75.6868",
        "phone": "555-625-1199",
        "province": "Kentucky",
        "zip": "40202",
        "name": "Bob Norman",
        "country_code": "US",
        "province_code": "KY"
      },
      "shipping_address": {
        "address1": "Chestnut Street 92",
        "address2": "",
        "city": "Louisville",
        "company": null,
        "country": "United States",
        "first_name": "Bob",
        "last_name": "Norman",
        "latitude": "45.41634",
        "longitude": "-75.6868",
        "phone": "555-625-1199",
        "province": "Kentucky",
        "zip": "40202",
        "name": "Bob Norman",
        "country_code": "US",
        "province_code": "KY"
      },
      "fulfillments": [
        {
          "created_at": "2012-05-09T14:41:57-04:00",
          "id": 255858046,
          "order_id": 450789469,
          "service": "manual",
          "status": "failure",
          "tracking_company": null,
          "tracking_number": "1Z2345",
          "updated_at": "2012-05-09T14:41:57-04:00",
          "receipt": {
            "testcase": true,
            "authorization": "123456"
          },
          "line_items": [
            {
              "fulfillment_service": "manual",
              "fulfillment_status": null,
              "grams": 200,
              "id": 466157049,
              "price": "199.00",
              "product_id": 632910392,
              "quantity": 1,
              "requires_shipping": true,
              "sku": "IPOD2008GREEN",
              "title": "IPod Nano - 8gb",
              "variant_id": 39072856,
              "variant_title": "green",
              "vendor": null,
              "name": "IPod Nano - 8gb - green",
              "variant_inventory_management": "shopify"
            }
          ]
        }
      ],
      "client_details": {
        "accept_language": null,
        "browser_ip": "0.0.0.0",
        "session_hash": null,
        "user_agent": null
      },
      "customer": {
        "accepts_marketing": false,
        "created_at": "2012-05-09T14:41:57-04:00",
        "email": "bob.norman@hostmail.com",
        "first_name": "Bob",
        "id": 207119551,
        "last_name": "Norman",
        "last_order_id": null,
        "note": null,
        "orders_count": 0,
        "state": null,
        "total_spent": "0.00",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "tags": "",
        "last_order_name": null
      }
    }
  ]
}
top

Receive a single Order

Available URL Query parameters:

  • fields — comma-separated list of fields to include in the response
GET /admin/orders/#{id}.json

Get a representation of a single order

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2008-01-10T11:00:00-05:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:41:57-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
GET /admin/orders/#{id}.json?fields=id,line_items,name,total_price

Get only particular fields

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "id": 450789469,
    "name": "#1001",
    "total_price": "409.94",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ]
  }
}
top

Receive a count of all Orders

Available URL Query parameters:

  • created_at_min — Count orders created after date (format: 2008-01-01 03:00)
  • created_at_max — Count orders created before date (format: 2008-01-01 03:00)
  • updated_at_min — Count orders last updated after date (format: 2008-01-01 03:00)
  • updated_at_max — Count orders last updated before date (format: 2008-01-01 03:00)
  • status
    • open - Open orders (default)
    • closed - Only closed orders
    • any - Any order status
  • financial_status
    • authorized - Only authorized orders
    • pending - Only pending orders
    • paid - Only paid orders
    • abandoned - Only abandoned orders
    • refunded - Show only refunded orders
    • voided - Show only voided orders
    • any - All authorized, pending, and paid orders (default)
  • fulfillment_status
    • shipped - Orders that have been shipped
    • partial - Partially shipped orders
    • unshipped - Orders that have not yet been shipped
    • any - Orders with any fulfillment_status. (default)
GET /admin/orders/count.json

Count all orders

Response

           
HTTP/1.1 200 OK[]
{
  "count": 1
}
GET /admin/orders/count.json?financial_status=authorized

Count orders which are authorized and ready to be captured.

Response

           
HTTP/1.1 200 OK[]
{
  "count": 1
}
top

Close an Order

POST /admin/orders/#{id}/close.json

Close a processed order.

Request

           
{}      

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": "2012-05-09T14:42:20-04:00",
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2012-05-09T14:42:20-04:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:42:20-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
top

Re-open a closed Order

POST /admin/orders/#{id}/open.json

Re-opening a closed Order:

Request

           
{}      

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2012-05-09T14:42:21-04:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:42:21-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
top

Cancel an Order

Available URL Query parameters:

  • amount — Amount to refund (decimal ex: 21.20). If set, Shopify will attempt to void/refund the payment depending on the status. (default: false)
  • restock — Restock the items for this order back to your store (default: false)
  • reason — The reason for the order cancellation (one of customer, inventory, fraud, other) (default: other)
  • email — Send an email to the customer notifying them of the cancellation (default: false)
POST /admin/orders/#{id}/cancel.json

Cancelling an Order:

Request

           
{}      

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": "other",
    "cancelled_at": "2012-05-09T14:42:20-04:00",
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2012-05-09T14:42:20-04:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:42:20-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
top

Change an Order’s note, note-attributes, email, and buyer-accepts-marketing state (the only attributes modifiable through the API)

PUT /admin/orders/#{id}.json

Add Note to order.

Request

           
{
  "order": {
    "id": 450789469,
    "note": "Customer contacted us about a custom engraving on this iPod"
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": "Customer contacted us about a custom engraving on this iPod",
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2012-05-09T14:42:21-04:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:42:21-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
PUT /admin/orders/#{id}.json

Add a metafield to an existing order

Request

           
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2008-01-10T11:00:00-05:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "amount": "10.00",
        "code": "TENOFF"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "name": "IPod Nano - 8gb - green",
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_inventory_management": "shopify",
        "variant_title": "green",
        "vendor": null
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "name": "IPod Nano - 8gb - black",
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_inventory_management": "shopify",
        "variant_title": "black",
        "vendor": null
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "credit_card_company": "Visa",
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "cvv_result_code": null
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "country_code": "US",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "name": "Bob Norman",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "province_code": "KY",
      "zip": "40202"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "country_code": "US",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "name": "Bob Norman",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "province_code": "KY",
      "zip": "40202"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "name": "IPod Nano - 8gb - green",
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_inventory_management": "shopify",
            "variant_title": "green",
            "vendor": null
          }
        ],
        "receipt": {
          "authorization": "123456",
          "testcase": true
        },
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00"
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "last_order_name": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "tags": "",
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:41:57-04:00"
    },
    "metafields": [
      {
        "key": "new",
        "value": "newvalue",
        "value_type": "string",
        "namespace": "global"
      }
    ]
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2012-05-09T14:42:22-04:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:42:22-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
PUT /admin/orders/#{id}.json

Change an order so that its buyer accepts marketing

Request

           
{
  "order": {
    "id": 450789469,
    "buyer_accepts_marketing": true
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": true,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2012-05-09T14:42:22-04:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:42:22-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
PUT /admin/orders/#{id}.json

Change an order’s email

Request

           
{
  "order": {
    "id": 450789469,
    "email": "a-different@email.com"
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "a-different@email.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2012-05-09T14:42:22-04:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "custom engraving",
        "value": "Happy Birthday"
      },
      {
        "name": "colour",
        "value": "green"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:42:22-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
PUT /admin/orders/#{id}.json

Set Note Attributes on an order

Request

           
{
  "order": {
    "id": 450789469,
    "note_attributes": [
      {
        "name": "colour",
        "value": "red"
      }
    ]
  }
}      

Response

           
HTTP/1.1 200 OK[]
{
  "order": {
    "buyer_accepts_marketing": false,
    "cancel_reason": null,
    "cancelled_at": null,
    "cart_token": "68778783ad298f1c80c3bafcddeea02f",
    "closed_at": null,
    "created_at": "2008-01-10T11:00:00-05:00",
    "currency": "USD",
    "email": "bob.norman@hostmail.com",
    "financial_status": "authorized",
    "fulfillment_status": null,
    "gateway": "authorize_net",
    "id": 450789469,
    "landing_site": "http://www.example.com?source=abc",
    "name": "#1001",
    "note": null,
    "number": 1,
    "referring_site": "http://www.otherexample.com",
    "subtotal_price": "398.00",
    "taxes_included": false,
    "token": "b1946ac92492d2347c6235b4d2611184",
    "total_discounts": "0.00",
    "total_line_items_price": "398.00",
    "total_price": "409.94",
    "total_tax": "11.94",
    "total_weight": 0,
    "updated_at": "2012-05-09T14:42:22-04:00",
    "browser_ip": null,
    "landing_site_ref": "abc",
    "order_number": 1001,
    "discount_codes": [
      {
        "code": "TENOFF",
        "amount": "10.00"
      }
    ],
    "note_attributes": [
      {
        "name": "colour",
        "value": "red"
      }
    ],
    "processing_method": "direct",
    "line_items": [
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 466157049,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008GREEN",
        "title": "IPod Nano - 8gb",
        "variant_id": 39072856,
        "variant_title": "green",
        "vendor": null,
        "name": "IPod Nano - 8gb - green",
        "variant_inventory_management": "shopify"
      },
      {
        "fulfillment_service": "manual",
        "fulfillment_status": null,
        "grams": 200,
        "id": 703073504,
        "price": "199.00",
        "product_id": 632910392,
        "quantity": 1,
        "requires_shipping": true,
        "sku": "IPOD2008BLACK",
        "title": "IPod Nano - 8gb",
        "variant_id": 457924702,
        "variant_title": "black",
        "vendor": null,
        "name": "IPod Nano - 8gb - black",
        "variant_inventory_management": "shopify"
      }
    ],
    "shipping_lines": [
      {
        "code": "Free Shipping",
        "price": "0.00",
        "source": "shopify",
        "title": "Free Shipping"
      }
    ],
    "tax_lines": [
      {
        "price": "11.94",
        "rate": 0.06,
        "title": "State Tax"
      }
    ],
    "payment_details": {
      "avs_result_code": null,
      "credit_card_bin": null,
      "cvv_result_code": null,
      "credit_card_number": "XXXX-XXXX-XXXX-4242",
      "credit_card_company": "Visa"
    },
    "billing_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "shipping_address": {
      "address1": "Chestnut Street 92",
      "address2": "",
      "city": "Louisville",
      "company": null,
      "country": "United States",
      "first_name": "Bob",
      "last_name": "Norman",
      "latitude": "45.41634",
      "longitude": "-75.6868",
      "phone": "555-625-1199",
      "province": "Kentucky",
      "zip": "40202",
      "name": "Bob Norman",
      "country_code": "US",
      "province_code": "KY"
    },
    "fulfillments": [
      {
        "created_at": "2012-05-09T14:41:57-04:00",
        "id": 255858046,
        "order_id": 450789469,
        "service": "manual",
        "status": "failure",
        "tracking_company": null,
        "tracking_number": "1Z2345",
        "updated_at": "2012-05-09T14:41:57-04:00",
        "receipt": {
          "testcase": true,
          "authorization": "123456"
        },
        "line_items": [
          {
            "fulfillment_service": "manual",
            "fulfillment_status": null,
            "grams": 200,
            "id": 466157049,
            "price": "199.00",
            "product_id": 632910392,
            "quantity": 1,
            "requires_shipping": true,
            "sku": "IPOD2008GREEN",
            "title": "IPod Nano - 8gb",
            "variant_id": 39072856,
            "variant_title": "green",
            "vendor": null,
            "name": "IPod Nano - 8gb - green",
            "variant_inventory_management": "shopify"
          }
        ]
      }
    ],
    "client_details": {
      "accept_language": null,
      "browser_ip": "0.0.0.0",
      "session_hash": null,
      "user_agent": null
    },
    "customer": {
      "accepts_marketing": false,
      "created_at": "2012-05-09T14:41:57-04:00",
      "email": "bob.norman@hostmail.com",
      "first_name": "Bob",
      "id": 207119551,
      "last_name": "Norman",
      "last_order_id": null,
      "note": null,
      "orders_count": 0,
      "state": null,
      "total_spent": "0.00",
      "updated_at": "2012-05-09T14:42:22-04:00",
      "tags": "",
      "last_order_name": null
    }
  }
}
top

Remove a Order from the database

DELETE /admin/orders/#{id}.json

Delete Order on this URL.

Response

           
HTTP/1.1 200 OK[]
{}
Last updated on 09 May 2012.